# I2Cscanner

import machine

i2c = machine.I2C(scl=machine.Pin(22), sda=machine.Pin(21))
print('Scaning i2c bus...')
devices = i2c.scan()

if len(devices) == 0:
  print("No i2c device found!")
else:
  print('i2c devices found:',len(devices))
  for device in devices:  
    print("Decimal address: ",device," | Hex address: ",hex(device))