# text_frame.py

from machine import Pin, I2C
from ssd1306 import SSD1306_I2C

i2c = I2C(-1, scl=Pin(22), sda=Pin(21))  # I2C Pin assignment

oled_width=128
oled_height=64
oled = SSD1306_I2C(oled_width, oled_height, i2c)

lin_hight=9
col_width=8

def text_write(text,lin, col):
  oled.text(text,col*col_width,lin*lin_hight)

oled.fill(0)
text_write("Programming",0,2)
text_write("ESP32",2,5)
text_write("using",3,5)
text_write("Micropython",5,2)
oled.rect(0,39,128,20,1)
oled.show()