# BMP180 pressure sensor.py

from machine import Pin, I2C
from bmp180 import BMP180
from time import sleep

i2c = I2C(-1, scl=Pin(22), sda=Pin(21))
bmp = BMP180(i2c)
bmp.oversample = 2
bmp.sealevel = 101325

while(1):
  temp = bmp.temperature
  p = bmp.pressure
  altitude = bmp.altitude
  print("Temp: ", temp, "C")
  print("Baro: ", p/100, "hPa")
  print()
  sleep(1)